<%@ page contentType="text/html;charset=UTF-8" %>
<script>

$(document).ready(function() {

	window.operateEvents = {
		'click #TableView': function (e, value, row, index) {
			jp.openTab("${ctx}/sg/material?projectId="+row.projectId,'查看《'+row.projectName+'》物料情况', true);
		}
	};
	var h = $(window).height() - 100;

	$('#informationTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	       		showSearch: true,
				height:h,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: false,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/sg/information/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [
               	{
		        field: 'projectId',
		        title: '项目定义号',
		        sortable: true,
		        sortName: 'projectId'
		    }
			,{
		        field: 'projectName',
		        title: '项目名称',
		        sortable: true,
		        sortName: 'projectName'
		    }
			,{
		        field: 'projectType',
		        title: '项目类型',
		        sortable: true,
		        sortName: 'projectType'
		    }
			,{
		        field: 'projectGrade',
		        title: '电压等级',
		        sortable: true,
		        sortName: 'projectGrade'
		    }
			,{
		        field: 'projectYear',
		        title: '项目预算年度',
		        sortable: true,
		        sortName: 'projectYear'
		    }
			,{
		        field: 'projectTotal',
		        title: '项目总投资（元）',
		        sortable: true,
		        sortName: 'projectTotal'
		    }
				   ,{
					   field: 'projectStart',
					   title: '实际开工日期',
					   sortable: true,
					   sortName: 'projectStart'
				   }
				   ,{
					   field: 'projectStop',
					   title: '实际竣工日期',
					   sortable: true,
					   sortName: 'projectStop'
				   }
				   ,{
					   field: 'projectFirm',
					   title: '事务所名称',
					   sortable: true,
					   sortName: 'projectFirm'
				   }
				   ,{
					   field: 'subDate',
					   title: '提交送审日期',
					   sortable: true,
					   sortName: 'subDate'
				   }
				   ,{
					   field: 'releaseDate',
					   title: '审计任务下达日期',
					   sortable: true,
					   sortName: 'releaseDate'
				   }
				   ,{
					   field: 'endDate',
					   title: '审计应结束日时间',
					   sortable: true,
					   sortName: 'endDate'
				   }
				   ,{
					   field: 'resultDate',
					   title: '结果上传时间',
					   sortable: true,
					   sortName: 'resultDate'
				   }
				   ,{
					   field: 'approvalDate',
					   title: '审定日期',
					   sortable: true,
					   sortName: 'approvalDate'
				   }
				   ,{
					   field: 'secondUnits',
					   title: '二级单位',
					   sortable: true,
					   sortName: 'secondUnits'
				   }
				   ,{
					   field: 'firstUnits',
					   title: '一级单位',
					   sortable: true,
					   sortName: 'firstUnits'
				   }
				   ,{
					   field: 'firstFinish',
					   title: '是否完成甲供物资领退料（第1次）',
					   sortable: true,
					   sortName: 'firstFinish'
				   }
				   ,{
					   field: 'firstFinishDate',
					   title: '完成甲供物资领退料的日期（第1次)',
					   sortable: true,
					   sortName: 'firstFinishDate'
				   }
				   ,{
					   field: 'secondFinish',
					   title: '是否完成甲供物资领退料（第2次）',
					   sortable: true,
					   sortName: 'secondFinish'
				   }
				   ,{
					   field: 'secondFinishDate',
					   title: '完成甲供物资领退料的日期（第2次）',
					   sortable: true,
					   sortName: 'secondFinishDate'
				   }
				   ,{
					   field: 'finishDate',
					   title: '完成甲供物资领退料的时间',
					   sortable: true,
					   sortName: 'finishDate'
				   }
				   ,{
					   field: 'overdue',
					   title: '是否超期',
					   sortable: true,
					   sortName: 'overdue'
				   }
				   ,{
					   field: 'trial',
					   title: '是否决算送审',
					   sortable: true,
					   sortName: 'trial'
				   }
				   ,{
					   field: 'construction',
					   title: '施工单位',
					   sortable: true,
					   sortName: 'construction'
				   }
				   ,{
					   field: 'outConstruction',
					   title: '外包施工单位',
					   sortable: true,
					   sortName: 'outConstruction'
				   }
				   ,{
					   field: 'settlement',
					   title: '结算单位',
					   sortable: true,
					   sortName: 'settlement'
				   }
		    ,{
					   field: 'operate',
					   title: '操作',
					   width: '80px',
					   events: operateEvents,
					   formatter: operateFormatter
				   }
		     ]
		});

	function operateFormatter(value, row, index) {
		return [
			'<input id="TableView" type="button" value="查看" class="btn btn-default">',
		].join('');
	}

	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端
		  $('#informationTable').bootstrapTable("toggleView");
		}


	  $('#informationTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#informationTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#informationTable').bootstrapTable('getSelections').length!=1);
        });


	  	$("#btnInformation").click(function () {
			jp.open({
				type: 2,
				area: [500, 200],
				auto: true,
				title:"导入甲供材",
				content: "${ctx}/tag/importExcel" ,
				btn: ['确定', '关闭'],
				btn1: function(index, layero){
					var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
					iframeWin.contentWindow.importExcel('${ctx}/sg/information/import', function (data) {
						console.log(data);
						if(data.success){
						jp.success(data.msg);
						refresh();
						}else{
						jp.error(data.msg);
						}
						jp.close(index);
					});//调用保存事件
					return false;
				},
				btn2: function(index){
					jp.close(index);
				}
			})
		})

	$("#btnInTrial").click(function () {
		jp.open({
			type: 2,
			area: [500, 200],
			auto: true,
			title:"导入数据",
			content: "${ctx}/tag/importExcel" ,
			btn: ['下载模板','确定', '关闭'],
			btn1: function(index, layero){
				jp.downloadFile('${ctx}/sg/information/import/templates');
			},
			btn2: function(index, layero){
				var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
				iframeWin.contentWindow.importExcel('${ctx}/sg/information/importInTrial', function (data) {
					if(data.success){
						jp.success(data.msg);
						refresh();
					}else{
						jp.error(data.msg);
					}
					jp.close(index);
				});//调用保存事件
				return false;
			},
			btn3: function(index){
				jp.close(index);
			}
		})
	})
	$("#btnCom").click(function () {
		jp.open({
			type: 2,
			area: [500, 200],
			auto: true,
			title:"导入数据",
			content: "${ctx}/tag/importExcel" ,
			btn: ['确定', '关闭'],
			btn1: function(index, layero){
				var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
				iframeWin.contentWindow.importExcel('${ctx}/sg/information/importCom', function (data) {
					if(data.success){
						jp.success(data.msg);
						refresh();
					}else{
						jp.error(data.msg);
					}
					jp.close(index);
				});//调用保存事件
				return false;
			},
			btn2: function(index){
				jp.close(index);
			}
		})
	})

    $("#btnSearch").click(function () {
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title:"导入数据",
            content: "${ctx}/tag/importExcel" ,
            btn: ['下载模板','确定', '关闭'],
            btn1: function(index, layero){
                jp.downloadFile('${ctx}/sg/information/import/template');
            },
            btn2: function(index, layero){
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/sg/information/btnSearch', function (data) {
						top.layer.msg('成功', {icon:1})
					console.log(data);
					$('#informationTable').bootstrapTable('load',data);
					jp.close(index);
                });//调用保存事件
                return false;
            },
            btn3: function(index){
                jp.close(index);
            }
        })
    })

	$("#btnInReason").click(function () {
		jp.open({
			type: 2,
			area: [500, 200],
			auto: true,
			title:"导入原因类型",
			content: "${ctx}/tag/importExcel" ,
			btn: ['确定', '关闭'],
			btn1: function(index, layero){
				var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
				iframeWin.contentWindow.importExcel('${ctx}/sg/information/btnInReason', function (data) {
					if(data.success){
						jp.alert(data.msg);
						refresh();
					}else{
						jp.alert(data.msg);
					}
					jp.close(index);
				});//调用保存事件
				return false;
			},
			btn2: function(index){
				jp.close(index);
			}
		})
	})


	$("#export").click(function(){//导出物料清单
		var projectId = $("#projectId").val();
		var projectName = $("#projectName").val();
		var projectType = $("#projectType").val();
		var projectYear = $("#projectYear").val();
		var firstUnits = $("#firstUnits").val();
		var secondUnits = $("#secondUnits").val();
		console.log(projectId);
		console.log(projectName);
		console.log(projectType);
		console.log(projectYear);
		console.log(firstUnits);
		console.log(secondUnits);
		jp.downloadFile('${ctx}/sg/information/exportMaterial?projectId='+projectId+'&projectName='+projectName+'&projectType='+projectType+'&projectYear='+projectYear+'&firstUnits='+firstUnits+'&secondUnits='+secondUnits);
	});


	$("#exportMaterial").click(function(){//导出项目清单
		var projectId = $("#projectId").val();
		var projectName = $("#projectName").val();
		var projectType = $("#projectType").val();
		var projectYear = $("#projectYear").val();
		var firstUnits = $("#firstUnits").val();
		var secondUnits = $("#secondUnits").val();
		jp.downloadFile('${ctx}/sg/information/export?projectId='+projectId+'&projectName='+projectName+'&projectType='+projectType+'&projectYear='+projectYear+'&firstUnits='+firstUnits+'&secondUnits='+secondUnits);

	});


	$("#exportInformation").click(function(){//导出项目清单
		jp.downloadFile('${ctx}/sg/information/exportInformation');
	});


	$("#search").click("click", function() {// 绑定查询按扭
		  sessionStorage.removeItem("path");
		  $('#informationTable').bootstrapTable('refresh');
		});

	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $('#informationTable').bootstrapTable('refresh');
		});
	});

  function getIdSelections() {
        return $.map($("#informationTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }



    //刷新列表
  function refresh() {
      $('#informationTable').bootstrapTable('refresh');
  }





	function addRow(list, idx, tpl, row){
		$(list).append(Mustache.render(tpl, {
			idx: idx, delBtn: true, row: row
		}));
	}

</script>
